CharacterPredicates (Apache Commons Text 1.13.0 API)
Description: declaration: package: org.apache.commons.text, enum: CharacterPredicates

Package org.apache.commons.text

# Enum CharacterPredicates

java.lang.Object
java.lang.Enum<CharacterPredicates>
org.apache.commons.text.CharacterPredicates

All Implemented Interfaces:
  `Serializable`, `Comparable<CharacterPredicates>`, `CharacterPredicate`

public enum CharacterPredicates extends Enum<CharacterPredicates> implements CharacterPredicate
Commonly used implementations of `CharacterPredicate`. Per the interface requirements, all implementations are thread safe.

Since:
  1.0

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ARABIC_NUMERALS`
  Tests if the code points represents a number between 0 and 9.
  `ASCII_ALPHA_NUMERALS`
  Tests if the code points represents a letter between a and Z or a number between 0 and 9.
  `ASCII_LETTERS`
  Tests if the code points represents a letter between a and Z.
  `ASCII_LOWERCASE_LETTERS`
  Tests if the code points represents a letter between a and z.
  `ASCII_UPPERCASE_LETTERS`
  Tests if the code points represents a letter between A and Z.
  `DIGITS`
  Tests code points against `Character.isDigit(int)`.
  `LETTERS`
  Tests code points against `Character.isLetter(int)`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CharacterPredicates`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static CharacterPredicates[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.commons.text.CharacterPredicate

  `test`

- ## Enum Constant Details

  - ### LETTERS

    public static final CharacterPredicates LETTERS
    Tests code points against `Character.isLetter(int)`.
    Since:
      1.0

  - ### DIGITS

    public static final CharacterPredicates DIGITS
    Tests code points against `Character.isDigit(int)`.
    Since:
      1.0

  - ### ARABIC_NUMERALS

    public static final CharacterPredicates ARABIC_NUMERALS
    Tests if the code points represents a number between 0 and 9.
    Since:
      1.2

  - ### ASCII_LOWERCASE_LETTERS

    public static final CharacterPredicates ASCII_LOWERCASE_LETTERS
    Tests if the code points represents a letter between a and z.
    Since:
      1.2

  - ### ASCII_UPPERCASE_LETTERS

    public static final CharacterPredicates ASCII_UPPERCASE_LETTERS
    Tests if the code points represents a letter between A and Z.
    Since:
      1.2

  - ### ASCII_LETTERS

    public static final CharacterPredicates ASCII_LETTERS
    Tests if the code points represents a letter between a and Z.
    Since:
      1.2

  - ### ASCII_ALPHA_NUMERALS

    public static final CharacterPredicates ASCII_ALPHA_NUMERALS
    Tests if the code points represents a letter between a and Z or a number between 0 and 9.
    Since:
      1.2

- ## Method Details

  - ### values

    public static CharacterPredicates[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static CharacterPredicates valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null